GENNAMES(8)

NAME
gennames - compile Unicode code points names into a data file

SYNOPSIS
gennames [ -h, -?, --help ] [ -v, --verbose ] [ -q, --quiet ] [ -d, --destdir destination ] [ -u, --unicode version ] [ -1, --unicode1-names ] [ filename ]

DESCRIPTION
gennames reads the Unicode character database from filename and produce the file unames.dat in its destination directory. Optionally, Unicode 1.0 names can be chosen over Unicode 2.0 names for those code points whose names were changed for Unicode 2.0.

OPTIONS

-h, -?, --help
    Print help about usage and exit.

-v, --verbose
    Display extra informative messages during execution.

-q, --quiet
    Do not display any message during execution.

-d, --destdir destination
    Set the destination directory to destination. The default destination directory is specified by the environment variable ICU_DATA, or the location set when ICU was built if ICU_DATA is not set.

-u, --unicode version
    Mark the character names as belong to the specified version of Unicode. The default version is 3.1.1.

-1, --unicode1-names
    Store Unicode 1.0 names in addition of Unicode 2.0 names for those code points whose names were changed for Unicode 2.0.

ENVIRONMENT

ICU_DATA
    Specifies the directory containing ICU data. Defaults to @thepkgicudatadir@/@PACKAGE@/@VERSION@/. Some tools in ICU depend on the presence of the trailing slash. It is thus important to make sure that it is present if ICU_DATA is set.

VERSION
@VERSION@

COPYRIGHT
Copyright (C) 2000-2001 IBM, Inc. and others.

SEE ALSO
genprops(8)